cascading.operation.xml

## Class XPathFilter

- java.lang.Object
- - cascading.operation.BaseOperation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>
  - - cascading.operation.xml.XPathOperation
    - - cascading.operation.xml.XPathFilter

- All Implemented Interfaces:
    DeclaresResults, Filter<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>, Operation<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>, Traceable, java.io.Serializable

      public class XPathFilter
      extends XPathOperation
      implements Filter<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>

  XPathFilter will filter out a Tuple if the given XPath expression returns false. Set removeMatch to true if the filter should be reversed.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.xml.XPathOperation

      `NAMESPACE_XHTML, namespaces, paths`

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathFilter(boolean removeMatch, java.lang.String[][] namespaces, java.lang.String path)` Constructor XPathFilter creates a new XPathFilter instance.
    `XPathFilter(java.lang.String[][] namespaces, java.lang.String path)` Constructor XPathFilter creates a new XPathFilter instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRemove(FlowProcess flowProcess, FilterCall<Pair<javax.xml.parsers.DocumentBuilder,Tuple>> filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

    - ### Methods inherited from class cascading.operation.xml.XPathOperation

      `equals, getExpressions, getTransformer, getXPath, hashCode, parseDocument, prepare, writeAsXML`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Constructor Detail

    - #### XPathFilter

          public XPathFilter(java.lang.String[][] namespaces,
                     java.lang.String path)

      Constructor XPathFilter creates a new XPathFilter instance.
      Parameters:
        `namespaces` - of type String[][]
        `path` - of type String

    - #### XPathFilter

          public XPathFilter(boolean removeMatch,
                     java.lang.String[][] namespaces,
                     java.lang.String path)

      Constructor XPathFilter creates a new XPathFilter instance.
      Parameters:
        `removeMatch` - of type boolean
        `namespaces` - of type String[][]
        `path` - of type String

  - ### Method Detail

    - #### isRemove

          public boolean isRemove(FlowProcess flowProcess,
                         FilterCall<Pair<javax.xml.parsers.DocumentBuilder,Tuple>> filterCall)

      Description copied from interface: `Filter`
      Method isRemove returns true if input should be removed from the tuple stream.
      Specified by:
        `isRemove` in interface `Filter<Pair<javax.xml.parsers.DocumentBuilder,Tuple>>`
      Parameters:
        `flowProcess` - of type FlowProcess
        `filterCall` - of type FilterCall
      Returns:
        boolean

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.